<?php
require_once($_SERVER['DOCUMENT_ROOT'] . '/sys/db.php');

foreach ($_POST as $paramName => $paramValue) {
  if ($paramName == "scopeid")
    $pwo_id = $paramValue;
  else if ($paramName == "baseid")
    $pa_id = $paramValue;
}

$dal = new DAL();

$sql = "SELECT SU.id, SU.name AS text, " .
       "CASE WHEN PWO.id = $pwo_id THEN 'disabled' ELSE '' END AS attribute " . 
       "FROM projectworkday PW, projectworkdayoperation PWO, " .
       "operationspatialunit OS, spatialunit SU " .
       "WHERE PW.parcel_id = $pa_id AND PWO.projectworkday_id = PW.id " .
       "AND OS.projectworkdayoperation_id = PWO.id " .
       "AND SU.id = OS.spatialunit_id AND SU.spatialunittype_id = 1 " ;
$result = $dal->query($sql);

echo json_encode($result);

?>

